Name:           filezilla
Version:        3.0.1
Release:        %mkrel 1
Summary:        FileZilla is a fast and reliable FTP client

Group:          Networking/File transfer
License:        GPL 
URL:            http://filezilla.sourceforge.net/
Source0:        FileZilla_%{version}_src.tar.bz2
Patch1:		FileZilla_3.0.0-rc3-fix-desktopfile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  wxGTK2.8-devel
BuildRequires:  idn-devel
BuildRequires:  gnutls-devel
BuildRequires:	ImageMagick
BuildRequires:	desktop-file-utils

%description
FileZilla is a fast and reliable FTP client and server with lots 
of useful features and an intuitive interface

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/fzsftp
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/resources
%{_datadir}/%{name}/docs/fzdefaults.xml.example
%{_iconsdir}/hicolor/*/apps/filezilla.png
%{_datadir}/applications/filezilla.desktop
%{_datadir}/pixmaps/filezilla.png

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%patch1 -p0

%build
%configure2_5x 
%make 


%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp src/interface/resources/16x16/filezilla.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/filezilla.png
cp src/interface/resources/32x32/filezilla.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/filezilla.png
cp src/interface/resources/48x48/filezilla.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/filezilla.png

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--add-category='GTK' \
	%buildroot%_datadir/applications/*.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Sep 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.1-1mdv2008.0
+ Revision: 92463
- New version 3.0.1

* Sun Sep 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-1mdv2008.0
+ Revision: 83743
- Final 3.0.0 Release \o/

* Mon Sep 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-0.rc3.1mdv2008.0
+ Revision: 78565
- Fix desktop file (remove  image extension)

  + Funda Wang <fundawang@mandriva.org>
    - libwxgtk2.8-devel does not satisfied ??
    - New version 3.0 rc3

* Fri Aug 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-0.rc2.3mdv2008.0
+ Revision: 76734
- New version 3.0.0 Rc2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Aug 13 2007 Funda Wang <fundawang@mandriva.org> 3.0.0-0.rc1.3mdv2008.0
+ Revision: 62669
- add post and postun section
- use hicolor icon theme

* Mon Aug 13 2007 Funda Wang <fundawang@mandriva.org> 3.0.0-0.rc1.2mdv2008.0
+ Revision: 62462
- fix icon

* Sat Aug 11 2007 Funda Wang <fundawang@mandriva.org> 3.0.0-0.rc1.1mdv2008.0
+ Revision: 61978
- New version 3.0.0 rc1

* Thu Aug 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-0.beta11.1mdv2008.0
+ Revision: 60811
- New version (Beta11) (Bug #32431)

* Sun Jul 01 2007 Funda Wang <fundawang@mandriva.org> 3.0.0-0.beta10.1mdv2008.0
+ Revision: 46502
- use betaver macro
- New version

* Sun May 13 2007 Emmanuel Andry <eandry@mandriva.org> 3.0.0-0.beta8.1mdv2008.0
+ Revision: 26563
- New beta 8


* Sat Mar 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-0.beta6.2mdv2007.1
+ Revision: 150123
- Fix summary
- Add icon into menu (bug #29881)

* Sat Mar 03 2007 Emmanuel Andry <eandry@mandriva.org> 3.0.0-0.beta6.1mdv2007.1
+ Revision: 131879
- New version 3.0.0 beta 6
- create menu entry

* Tue Jan 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.0-0.beta5.1mdv2007.1
+ Revision: 112676
- Import filezilla

